pappso::UiMonitorVoid Class Reference

`#include <uimonitorvoid.h>`

Inheritance diagram for pappso::UiMonitorVoid:

## Public Member Functions

virtual bool | shouldIstop () override
| should the procces be stopped ? If true, then cancel process Use this function at strategic point of your process in order to interrupt it cleanly Implementation must take care of thread resistance if implemented More...
virtual void | setTotalSteps (std::size_t total_number_of_steps[[maybe_unused]]) override
virtual void | count () override
| count steps report when a step is computed in an algorithm More...
virtual void | setTitle (const QString &title[[maybe_unused]]) override
virtual void | setStatus (const QString &status[[maybe_unused]]) override
virtual void | appendText (const QString &text[[maybe_unused]]) override
Public Member Functions inherited from pappso::UiMonitorInterface
virtual void | setTotalSteps (std::size_t total_number_of_steps)
| use it if the number of steps is known in an algorithm the total number of steps is usefull to report to the user a progress message in percents or with a progress bar More...
virtual void | setTitle (const QString &title)=0
| current kind of process running More...
virtual void | setStatus (const QString &status)=0
| current status of the process More...
virtual void | appendText (const QString &text)=0
| append a text to a long report More...

## Additional Inherited Members

Protected Attributes inherited from pappso::UiMonitorInterface
std::size_t | m_totalSteps = 0

## Detailed Description

Todo:
  nothing monitor to save CPU and memory if needed

Definition at line 41 of file uimonitorvoid.h.

## Member Function Documentation

## appendText()

virtual void pappso::UiMonitorVoid::appendText | ( | const QString &text] | [[maybe_unused] | ) |

inline override virtual

Definition at line 55 of file uimonitorvoid.h.

{};

## count()

virtual void pappso::UiMonitorVoid::count | ( |  | ) |

inline override virtual

count steps report when a step is computed in an algorithm

Implements pappso::UiMonitorInterface.

Definition at line 52 of file uimonitorvoid.h.

{};

## setStatus()

virtual void pappso::UiMonitorVoid::setStatus | ( | const QString &status] | [[maybe_unused] | ) |

inline override virtual

Definition at line 54 of file uimonitorvoid.h.

{};

## setTitle()

virtual void pappso::UiMonitorVoid::setTitle | ( | const QString &title] | [[maybe_unused] | ) |

inline override virtual

Definition at line 53 of file uimonitorvoid.h.

{};

## setTotalSteps()

virtual void pappso::UiMonitorVoid::setTotalSteps | ( | std::size_t total_number_of_steps] | [[maybe_unused] | ) |

inline override virtual

Definition at line 50 of file uimonitorvoid.h.

{};

## shouldIstop()

virtual bool pappso::UiMonitorVoid::shouldIstop | ( |  | ) |

inline override virtual

should the procces be stopped ? If true, then cancel process Use this function at strategic point of your process in order to interrupt it cleanly Implementation must take care of thread resistance if implemented

Implements pappso::UiMonitorInterface.

Definition at line 45 of file uimonitorvoid.h.

{
return false;
};

The documentation for this class was generated from the following file:

- pappsomspp/processing/uimonitor/uimonitorvoid.h